Subject: Re: Hmmm...

From: [email-masked]
Date: Wed, 15 Oct 1997 16:20:39 -0400 (EDT)

A million or so years from now, assuming humankind of any kind may still be
around, I suspect historians and archeologists will record that the most
destructive force of the centuries beginning with a 2 was the collection of
ideologies and beliefs subsumed as Savage Capitalism and Western
Civilization.

And I'm an optimist.

Milo Clark
Berkeley CA USA